Package org.jboss.modules.security

# Class LoadedPermissionFactory

java.lang.Object
org.jboss.modules.security.LoadedPermissionFactory

All Implemented Interfaces:
  `PermissionFactory`

public final class LoadedPermissionFactory extends Object implements PermissionFactory
A permission factory which instantiates a permission with the given class name.

Author:
  David M. Lloyd

## Constructor Summary

Constructors
Constructor
Description
`LoadedPermissionFactory(ClassLoader classLoader, String className, String targetName, String permissionActions)`
Construct a new instance.

## Method Summary

Modifier and Type
Method
Description
`Permission`
`construct()`
Construct a new instance of the permission.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LoadedPermissionFactory

public LoadedPermissionFactory(ClassLoader classLoader, String className, String targetName, String permissionActions)
Construct a new instance.

Parameters:
  `classLoader` - the class loader from which the permission should be loaded
  `className` - the name of the permission class
  `targetName` - the name to pass to the permission class constructor or `null` for none
  `permissionActions` - the action list to pass to the permission class constructor or `null` for none

## Method Details

### construct

public Permission construct()
Description copied from interface: `PermissionFactory`
Construct a new instance of the permission. The instance may be cached.

Specified by:
  `construct` in interface `PermissionFactory`
Returns:
  the permission